runtime: python38
entrypoint: gunicorn -b :$PORT main:app --timeout 90 # timeout after 90 sec

instance_class: F4
automatic_scaling:
  max_instances: 10 # to manage costs !
  max_concurrent_requests: 1 # Z3 not threadsafe ! but possibly costly !
  min_pending_latency: 300ms # default: 30ms

handlers:
  - url: /$
    static_files: idp_web_server/static/index.html
    require_matching_file: false
    upload: idp_web_server/static/index.html
    secure: always
    http_headers:
      Strict-Transport-Security: max-age=31536000; includeSubDomains
  - url: /IDE
    static_files: idp_web_server/static/index.html
    require_matching_file: false
    upload: idp_web_server/static/index.html
    secure: always
    http_headers:
      Strict-Transport-Security: max-age=31536000; includeSubDomains
  - url: /examples/(.*)
    static_files: idp_web_server/examples/\1
    require_matching_file: false
    upload: idp_web_server/examples/.*
  - url: /assets//(.*) # to fix bug in client
    static_files: idp_web_server/static/assets/\1
    require_matching_file: false
    upload: idp_web_server/static/assets/.*
  - url: /assets/(.*)
    static_files: idp_web_server/static/assets/\1
    require_matching_file: false
    upload: idp_web_server/static/assets/.*
  - url: /meta
    script: auto
    secure: always
    redirect_http_response_code: '301'
  - url: /eval
    script: auto
    secure: always
    redirect_http_response_code: '301'
  - url: /test
    script: auto
    secure: always
    redirect_http_response_code: '301'
  - url: /run
    script: auto
    secure: always
    redirect_http_response_code: '301'
  - url: /(.*)
    static_files: idp_web_server/static/\1
    require_matching_file: false
    upload: idp_web_server/static/.*
    secure: always
    http_headers:
      Strict-Transport-Security: max-age=31536000; includeSubDomains
  - url: .*
    script: auto
    secure: always
